Skip to main content
`Ctrl`+`K`

# PetscObjectRegisterDestroyAll

Frees all the PETSc objects that have been registered with `PetscObjectRegisterDestroy()`. Called by `PetscFinalize()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectRegisterDestroyAll(void)

Logically Collective on the individual `PetscObject`s that are being processed

## See Also

`PetscObjectRegisterDestroy()`

## Level

developer

## Location

src/sys/objects/destroy.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages